Bug 1731885 - Cluster operator machine-config is reporting a failure when proxy enabled
Summary: Cluster operator machine-config is reporting a failure when proxy enabled
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Abhinav Dahiya
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 09:41 UTC by Gaoyun Pei
Modified: 2019-08-14 11:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-13 20:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 7 Daneyon Hansen 2019-07-23 22:56:19 UTC
This is the WIP PR for adding a proxy controller to the cluster-network-operator: https://github.com/openshift/cluster-network-operator/pull/245

Comment 8 Daneyon Hansen 2019-07-30 15:44:15 UTC
Can you review the MCO logs and see if it is reconciling the Proxy? My understanding is that when when a proxy changes, such as this case, MCO needs to restart (rolling) the nodes for the proxy changes to take effect.

Comment 9 Antonio Murdaca 2019-07-30 15:50:18 UTC
I should start a rollout yeah, the MCO has the proxy informer configured here https://github.com/openshift/machine-config-operator/pull/901/files#diff-554de5523753fda8c93e7008c9bd947fR162

Comment 11 Antonio Murdaca 2019-08-06 10:19:59 UTC
alrighty, so MCO is re-rolling just fine.

Comment 12 Abhinav Dahiya 2019-08-13 20:14:34 UTC
(In reply to Antonio Murdaca from comment #11)
> alrighty, so MCO is re-rolling just fine.

closing


Note You need to log in before you can comment on or make changes to this bug.